000027504 - AxM - RSA Agent 4.7 for WebSphere 7.0 appear to report incorrect version

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000027504
Applies ToRSA Access Manager Agent version 4.7 for WebSphere 7.0
IBM WebSphere 7.0
IssueAxM - RSA Agent 4.7 for WebSphere 7.0 appear to report incorrect version

When working with WAS agent 4.7.05 for WebSphere 7.0 (Hotfix 4.7.0.5), you may find a similar excerpt from SystemOut.log:

[3/3/10 16:02:25:751 EST] 00000000 SystemOut     O RSA Access Manager Agent for Websphere7.0.0.7
[3/3/10 16:02:25:751 EST] 00000000 SystemOut     O Version 4.7 (Hotfix 4.7.0.05)
[3/3/10 16:02:25:751 EST] 00000000 SystemOut     O Additional version information
[3/3/10 16:02:25:751 EST] 00000000 SystemOut     O Build ID :20090630063903-0400-487494
[3/3/10 16:02:25:751 EST] 00000000 SystemOut     O Using ClearTrust API Version:RSA ClearTrust Version 6.0 (Hotfix 6.0.2.55)
[3/3/10 16:02:25:767 EST] 00000000 SystemOut     O Copyright (c) 1999-2009 RSA Security Inc.
[3/3/10 16:02:25:767 EST] 00000000 SystemOut     O All rights reserved.
[3/3/10 16:02:25:767 EST] 00000000 SystemOut     O http://www.rsasecurity.com

ResolutionSupport for WAS 7 was added post initial release via the hotfix process.  Version correction to report support for WAS7 was added as an RFE in Hot Fix -5
NotesSupport for WAS 7 was added after the initial release of this agent. Hot fixes 1 through 4 all report the version correctly, as the original release supported WAS 6.x only.
Legacy Article IDa50071

Attachments

    Outcomes